# NOTES:
# - MATE build order: http://wiki.mate-desktop.org/building#building_order
# - To see what is present in specific release, see roadmap: http://wiki.mate-desktop.org/roadmap
# - To look into future (what has less point of packaging as due being removed/deprecated):
#   http://wiki.mate-desktop.org/status:1.6
# - git page is helpful (obsolete junk under removed section): # http://git.mate-desktop.org/
# - plugins supported by community http://wiki.mate-desktop.org/plugins
# - OpenSUSE MATE page: http://en.opensuse.org/MATE_Desktop
#
Summary:	MATE Desktop Environment - core packages
Summary(pl.UTF-8):	Środowisko graficzne MATE - pakiety podstawowe
Name:		metapackage-mate
Version:	1.26
Release:	1
License:	GPL v2+
Group:		X11/Applications
Requires:	caja >= %{version}
Requires:	engrampa >= %{version}
Requires:	eom >= %{version}
Requires:	gnome-keyring >= 3.0.0
Requires:	marco >= %{version}
Requires:	mate-backgrounds >= %{version}
Requires:	mate-control-center >= %{version}
Requires:	mate-desktop >= %{version}
Requires:	mate-icon-theme >= %{version}
Requires:	mate-media >= %{version}
Requires:	mate-menus >= %{version}
Requires:	mate-notification-daemon >= %{version}
Requires:	mate-panel >= %{version}
Requires:	mate-polkit >= %{version}
Requires:	mate-power-manager >= %{version}
Requires:	mate-screensaver >= %{version}
Requires:	mate-session-manager >= %{version}
Requires:	mate-settings-daemon >= %{version}
Requires:	mate-system-monitor >= %{version}
Requires:	mate-themes >= 3.22
Requires:	zenity
Suggests:	%{name}-extras = %{version}-%{release}
Suggests:	pulseaudio-alsa
Suggests:	xscreensaver
Obsoletes:	mate-system-tools < 1.20
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE Desktop Environment (metapackage). This brings core MATE
packages.

MATE is a fork of GNOME 2. It provides an intuitive and attractive
desktop to Linux users using traditional metaphors.

%description -l pl.UTF-8
Środowisko graficzne MATE (metapakiet). Ten metapakiet obejmuje
podstawowe pakiety MATE.

MATE to odgałęzienie GNOME 2. Zapewnia intuicyjne i atrakcyjne
środowisko graficzne dla użytkowników Linuksa przy użyciu tradycyjnych
metafor.

%package extras
Summary:	MATE Desktop Environment - additional packages
Summary(pl.UTF-8):	Środowisko graficzne MATE - pakiety opcjonalne
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}
Requires:	atril >= %{version}
Requires:	caja-actions >= %{version}
Requires:	mate-applet-accessx-status >= %{version}
Requires:	mate-applet-battstat >= %{version}
Requires:	mate-applet-charpicker >= %{version}
Requires:	mate-applet-command >= %{version}
Requires:	mate-applet-cpufreq >= %{version}
Requires:	mate-applet-drivemount >= %{version}
Requires:	mate-applet-geyes >= %{version}
Requires:	mate-applet-gweather >= %{version}
Requires:	mate-applet-indicator >= %{version}
Requires:	mate-applet-multiload >= %{version}
Requires:	mate-applet-netspeed >= %{version}
Requires:	mate-applet-notification >= %{version}
Requires:	mate-applet-sensors >= %{version}
Requires:	mate-applet-stickynotes >= %{version}
Requires:	mate-applet-timer >= %{version}
Requires:	mate-applet-trash >= %{version}
Requires:	mate-calc >= %{version}
Requires:	mate-netbook >= %{version}
Requires:	mate-screenshot >= %{version}
Requires:	mate-terminal >= %{version}
Requires:	mate-utils >= %{version}
Requires:	mozo >= %{version}
Requires:	pluma >= %{version}
Requires:	pluma-plugins >= %{version}
Suggests:	blueman

%description extras
MATE Desktop Environment (metapackage). This brings additional MATE
packages.

%description extras -l pl.UTF-8
Środowisko graficzne MATE (metapakiet). Ten metapakiet obejmuje
dodatkowe, opcjonalne pakiety MATE.

%prep

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)

%files extras
%defattr(644,root,root,755)
%changelog
* Mon Sep 27 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/metapackage-mate.git;a=log;h=master

* Mon Sep 27 2021 Jan Palus <atler@pld-linux.org> 01a52a0
- updated for MATE 1.26

* Tue Feb 11 2020 Jan Palus <atler@pld-linux.org> bf51c80
- up to 1.24

* Fri Mar 22 2019 Jan Palus <atler@pld-linux.org> b2f3237
- faenza icon theme seems discontinued; rel 2

* Tue Mar 19 2019 Jan Palus <atler@pld-linux.org> c7086e7
- up to 1.22

* Sun Feb 11 2018 Jan Rękorajski <baggins@pld-linux.org> 2c1f295
- obsolete mate-system-tools (long gone upstream)
- rel 2

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 8949bcf
- mate-themes follows gtk versioning scheme now

* Wed Feb 07 2018 Jan Palus <atler@pld-linux.org> 5b9941a
- up to 1.20

* Sat Mar 18 2017 Jan Palus <atler@pld-linux.org> 2eb61df
- up to 1.18

* Fri Sep 23 2016 Jan Palus <atler@pld-linux.org> 7043ce4
- up to 1.16

* Sun Apr 10 2016 Jan Palus <atler@pld-linux.org> f4c05cc
- mate-system-tools dropped by upstream

* Sun Apr 10 2016 Jan Palus <atler@pld-linux.org> 586edbe
- update for 1.14

* Thu Apr 03 2014 Elan Ruusamäe <glen@delfi.ee> 12622a0
- adjust for mate-screenshot split

* Sat Mar 15 2014 Elan Ruusamäe <glen@delfi.ee> d1afe6a
- caja extensions are suggested from caja package

* Mon Mar 10 2014 Jan Palus <jan.palus@gmail.com> ad62fe3
- remove caja sendto bluetooth extension until mate figures bluetooth
  situation
- don't restore mate-user-share unless we really want desktop users to
  pull apache httpd distribution

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 156d7ab
- up to 1.8 release

* Tue Feb 18 2014 Jan Rękorajski <baggins@pld-linux.org> 48b6706
- fixed typos
- rel 4

* Sun Feb 16 2014 Jakub Bogusz <qboosh@pld-linux.org> bfefa76
- added missing extras subpackage, release 3

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 67e79d3
- release 2

* Sat Jan 18 2014 Jakub Bogusz <qboosh@pld-linux.org> a651566
- "extras" Suggests moved to -extras subpackage

* Thu Jan 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 31b4076
- more packages; should be (maybe close to) complete MATE 1.6

